Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.renderingcontrol
Class AbstractAudioRenderingControl

    java.lang.Object
      org.teleal.cling.support.renderingcontrol.AbstractAudioRenderingControl

    public abstract class AbstractAudioRenderingControl

extends Object

Field Summary
`protected boolean` | `actionsFireEvents`
`protected PropertyChangeSupport` | `propertyChangeSupport`

Constructor Summary
`AbstractAudioRenderingControl()`
`AbstractAudioRenderingControl(boolean actionsFireEvents)`

Method Summary
`void` | `fireLastChange()`
`protected Channel` | `getChannel(String channelName)`
`static org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getDefaultInstanceID()`
`protected AbstractAudioRenderingControl` | `getInstance(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`
`LastChange` | `getLastChange()`
`abstract boolean` | `getLoudness(Channel channel)`
`boolean` | `getLoudness(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, String channelName)`
`abstract boolean` | `getMute(Channel channel)`
`boolean` | `getMute(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, String channelName)`
`abstract String` | `getPresetNameList()`
`PropertyChangeSupport` | `getPropertyChangeSupport()`
`abstract int` | `getVolume(Channel channel)`
`org.teleal.cling.model.types.UnsignedIntegerTwoBytes` | `getVolume(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, String channelName)`
`abstract Short` | `getVolumeDB(Channel channel)`
`Short` | `getVolumeDB(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, String channelName)`
`abstract VolumeDBRange` | `getVolumeDBRange(Channel channel)`
`VolumeDBRange` | `getVolumeDBRange(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, String channelName)`
`String` | `listPresets(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`
`abstract void` | `selectPreset(String presetName)`
`void` | `selectPreset(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, String presetName)`
`protected abstract void` | `setLoudness(Channel channel, boolean desiredLoudness)`
`void` | `setLoudness(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, String channelName, boolean desiredLoudness)`
`protected abstract void` | `setMute(Channel channel, boolean desiredMute)`
`void` | `setMute(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, String channelName, boolean desiredMute)`
`protected abstract void` | `setVolume(Channel channel, int desiredVolume)`
`void` | `setVolume(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, String channelName, org.teleal.cling.model.types.UnsignedIntegerTwoBytes desiredVolume)`
`protected abstract void` | `setVolumeDB(Channel channel, Short desiredVolume)`
`void` | `setVolumeDB(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, String channelName, Short desiredVolumeDB)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### actionsFireEvents

    protected final boolean actionsFireEvents

### propertyChangeSupport

    protected final PropertyChangeSupport propertyChangeSupport

Constructor Detail

### AbstractAudioRenderingControl

    public AbstractAudioRenderingControl(boolean actionsFireEvents)

### AbstractAudioRenderingControl

    public AbstractAudioRenderingControl()

Method Detail

### getLastChange

    public LastChange getLastChange()

### fireLastChange

    public void fireLastChange()

### getPropertyChangeSupport

    public PropertyChangeSupport getPropertyChangeSupport()

### getDefaultInstanceID

    public static org.teleal.cling.model.types.UnsignedIntegerFourBytes getDefaultInstanceID()

### listPresets

    public String listPresets(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                       throws RenderingControlException

  Throws:
    `RenderingControlException`

### selectPreset

    public void selectPreset(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                             String presetName)
                      throws RenderingControlException

  Throws:
    `RenderingControlException`

### getMute

    public boolean getMute(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                           String channelName)
                    throws RenderingControlException

  Throws:
    `RenderingControlException`

### setMute

    public void setMute(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                        String channelName,
                        boolean desiredMute)
                 throws RenderingControlException

  Throws:
    `RenderingControlException`

### getVolume

    public org.teleal.cling.model.types.UnsignedIntegerTwoBytes getVolume(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                                                                          String channelName)
                                                                   throws RenderingControlException

  Throws:
    `RenderingControlException`

### setVolume

    public void setVolume(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                          String channelName,
                          org.teleal.cling.model.types.UnsignedIntegerTwoBytes desiredVolume)
                   throws RenderingControlException

  Throws:
    `RenderingControlException`

### getVolumeDB

    public Short getVolumeDB(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                             String channelName)
                      throws RenderingControlException

  Throws:
    `RenderingControlException`

### setVolumeDB

    public void setVolumeDB(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                            String channelName,
                            Short desiredVolumeDB)
                     throws RenderingControlException

  Throws:
    `RenderingControlException`

### getVolumeDBRange

    public VolumeDBRange getVolumeDBRange(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                                          String channelName)
                                   throws RenderingControlException

  Throws:
    `RenderingControlException`

### getLoudness

    public boolean getLoudness(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                               String channelName)
                        throws RenderingControlException

  Throws:
    `RenderingControlException`

### setLoudness

    public void setLoudness(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                            String channelName,
                            boolean desiredLoudness)
                     throws RenderingControlException

  Throws:
    `RenderingControlException`

### getInstance

    protected AbstractAudioRenderingControl getInstance(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                                                 throws RenderingControlException

  Throws:
    `RenderingControlException`

### getChannel

    protected Channel getChannel(String channelName)
                          throws RenderingControlException

  Throws:
    `RenderingControlException`

### getMute

    public abstract boolean getMute(Channel channel)
                             throws RenderingControlException

  Throws:
    `RenderingControlException`

### setMute

    protected abstract void setMute(Channel channel,
                                    boolean desiredMute)
                             throws RenderingControlException

  Throws:
    `RenderingControlException`

### getVolume

    public abstract int getVolume(Channel channel)
                           throws RenderingControlException

  Throws:
    `RenderingControlException`

### setVolume

    protected abstract void setVolume(Channel channel,
                                      int desiredVolume)
                               throws RenderingControlException

  Throws:
    `RenderingControlException`

### getVolumeDB

    public abstract Short getVolumeDB(Channel channel)
                               throws RenderingControlException

  Throws:
    `RenderingControlException`

### setVolumeDB

    protected abstract void setVolumeDB(Channel channel,
                                        Short desiredVolume)
                                 throws RenderingControlException

  Throws:
    `RenderingControlException`

### getVolumeDBRange

    public abstract VolumeDBRange getVolumeDBRange(Channel channel)
                                            throws RenderingControlException

  Throws:
    `RenderingControlException`

### getLoudness

    public abstract boolean getLoudness(Channel channel)
                                 throws RenderingControlException

  Throws:
    `RenderingControlException`

### setLoudness

    protected abstract void setLoudness(Channel channel,
                                        boolean desiredLoudness)
                                 throws RenderingControlException

  Throws:
    `RenderingControlException`

### getPresetNameList

    public abstract String getPresetNameList()
                                      throws RenderingControlException

  Throws:
    `RenderingControlException`

### selectPreset

    public abstract void selectPreset(String presetName)
                               throws RenderingControlException

  Throws:
    `RenderingControlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.